GNU bug report logs - #13581
24.3.50; regression: defadvice does not work, to augment doc string

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: notabug wontfix; merged with #14070, #14734; dated Mon, 28 Jan 2013 22:49:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 13581 14070 14734. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 13581 14734. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 18:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 13:10:19 2013
Received: from localhost ([127.0.0.1]:56088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0c71-0006Ok-5N
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:10:19 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:34970)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1U0c6z-0006Oc-Mp
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:10:18 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0UI9c74013637
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 30 Jan 2013 18:09:39 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0UI9bqT002547
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 30 Jan 2013 18:09:38 GMT
Received: from abhmt105.oracle.com (abhmt105.oracle.com [141.146.116.57])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0UI9b7D011827; Wed, 30 Jan 2013 12:09:37 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 30 Jan 2013 10:09:37 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Dani Moncayo'" <dmoncayo@HIDDEN>,
	"'Michael Heerdegen'" <michael_heerdegen@HIDDEN>
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN><4B8813FD95D94212A45710F3A4C370F9@HIDDEN><87pq0m1tvd.fsf@HIDDEN>
	<CAH8Pv0jAyOn6+kYA71bHZ7hVT4ee73cwjcbfQ6y7B1FiTK4F3w@HIDDEN>
Subject: RE: bug#13581: 24.3.50;
	regression: defadvice does not work, to augment doc string
Date: Wed, 30 Jan 2013 10:09:36 -0800
Message-ID: <6026DF09DADA435D921C1DB528FCDD32@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <CAH8Pv0jAyOn6+kYA71bHZ7hVT4ee73cwjcbfQ6y7B1FiTK4F3w@HIDDEN>
Thread-Index: Ac3/E7nIa0axa8wHS7yRchAGZehO2wAASFng
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 13581
Cc: 13581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

> > Works for me in a built of the emacs-24 branch from today:
> 
> Works also for me on MS-Windows:
>   In GNU Emacs 24.2.92.1 (i386-mingw-nt6.1.7601)

Excellent, so it seems to have been introduced in the trunk.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 18:08:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 13:08:06 2013
Received: from localhost ([127.0.0.1]:56084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0c4r-0006Kx-Of
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:08:05 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:51348)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1U0c4p-0006Kp-Lx
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:08:04 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1U0c4C-0005Dg-Ub; Wed, 30 Jan 2013 13:07:25 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 13581 <at> debbugs.gnu.org
Subject: Re: bug#13581: 24.3.50;
	regression: defadvice does not work, to augment doc string
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
	<4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
	<87pq0m1tvd.fsf@HIDDEN>
X-Spook: eternity server enigma Blowpipe top secret Rubin Honduras
X-Ran: h+O3'mYXCu$=^rkA'',J/e,Of"Zl7-MWz*u9lm>HbogV=!2?64|2Lb=nT=<;VDst-6VsGm
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 30 Jan 2013 13:07:24 -0500
In-Reply-To: <87pq0m1tvd.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 30
	Jan 2013 18:08:22 +0100")
Message-ID: <34sj5ipmsj.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: 13581
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

Michael Heerdegen wrote:

> Works for me in a built of the emacs-24 branch from today:

As expected, since the recent advice changes are only in trunk.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 18:00:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 13:00:59 2013
Received: from localhost ([127.0.0.1]:56062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0bxt-000694-Hu
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:00:59 -0500
Received: from mail-la0-f54.google.com ([209.85.215.54]:33735)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1U0bxm-00068r-0w
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:00:51 -0500
Received: by mail-la0-f54.google.com with SMTP id gw10so1305140lab.41
	for <13581 <at> debbugs.gnu.org>; Wed, 30 Jan 2013 10:00:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=q6KADFIpqabxeKbVITjZ2QtkPPAf9ntgsI8JntAn7r8=;
	b=K0yPJNEMtKXjP2xO4eT+FaB62WUflN2c1XENVd+K0GY+2Kjqd0+zX38l9A9jJYSPh+
	SgZcKiDIIcvN6pKyv6rGt8hkiLv84B8SMIoPmussDUUwTjNI4wkg3cFt8KFCfgVGgDQt
	NTaJl7cTzu2DrD160ZDihKHOJVZMTbHC7JhSMF/sw4nmlODXgtUHCL17WDn3J7EGI2S/
	2QS986sVmsPghzHVu56A6q4YtxgmGIDUGA5b44nwH9xj+d8m2EbhuHBxhL25BF4JcNNe
	8PBi+uVJDoNLSfR/lPaaGYF62693VjjIj+qNpLOtgWogAqQp0WkYbFJapUq2HwevPkSp
	sOYw==
MIME-Version: 1.0
X-Received: by 10.152.104.199 with SMTP id gg7mr5314053lab.14.1359568807250;
	Wed, 30 Jan 2013 10:00:07 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Wed, 30 Jan 2013 10:00:07 -0800 (PST)
In-Reply-To: <87pq0m1tvd.fsf@HIDDEN>
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
	<4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
	<87pq0m1tvd.fsf@HIDDEN>
Date: Wed, 30 Jan 2013 19:00:07 +0100
Message-ID: <CAH8Pv0jAyOn6+kYA71bHZ7hVT4ee73cwjcbfQ6y7B1FiTK4F3w@HIDDEN>
Subject: Re: bug#13581: 24.3.50; regression: defadvice does not work, to
	augment doc string
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13581
Cc: 13581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

>> I cannot download a pretest binary and try this in that now.  Could
>> someone else
>> please try it?  If this is a regression also in the pretest (not just
>> in the
>> trunk), then I think it should be fixed before the release.  Thx.
>
> Works for me in a built of the emacs-24 branch from today:
>
> ,----------------------------------------------------------------------
> | [...]
> | If this function is called non-interactively, it does not return to
> | the calling function until the search is done.
> |
> | This function is advised.
> |
> | Before-advice `froggy':
> | C-o - hear Froggy croak
> `----------------------------------------------------------------------

Works also for me on MS-Windows:
  In GNU Emacs 24.2.92.1 (i386-mingw-nt6.1.7601)
   of 2013-01-25 on MS-W8-DANI
  Bzr revision: 111199 eliz@HIDDEN
  Windowing system distributor `Microsoft Corp.', version 6.1.7601


-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 17:11:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 12:11:30 2013
Received: from localhost ([127.0.0.1]:55993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0bC5-0001pm-4y
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 12:11:29 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:45745)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1U0bC2-0001pf-Ji
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 12:11:27 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0UHAljk004728
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 30 Jan 2013 17:10:48 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0UHAkGn027498
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 30 Jan 2013 17:10:47 GMT
Received: from abhmt111.oracle.com (abhmt111.oracle.com [141.146.116.63])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0UHAkBH024485; Wed, 30 Jan 2013 11:10:46 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 30 Jan 2013 09:10:46 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Michael Heerdegen'" <michael_heerdegen@HIDDEN>, <13581 <at> debbugs.gnu.org>
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN><4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
	<87pq0m1tvd.fsf@HIDDEN>
Subject: RE: bug#13581: 24.3.50;
	regression: defadvice does not work, to augment doc string
Date: Wed, 30 Jan 2013 09:10:45 -0800
Message-ID: <43DE55D29D85498C932E0910668A3A9C@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87pq0m1tvd.fsf@HIDDEN>
Thread-Index: Ac3/DEoCgj7Dej7dTK2awhsjznUxcwAADQsw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 13581
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> Works for me in a built of the emacs-24 branch from today:

Good.  Thanks for testing.

So unless this is platform-specific, which is unlikely, the regression was
introduced post-pretest.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2013 17:07:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 12:07:43 2013
Received: from localhost ([127.0.0.1]:55975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0b8R-0001jk-7S
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 12:07:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56298)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1U0b8P-0001jd-3u
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 12:07:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1U0b7j-0002oj-3C
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 12:07:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-102.4 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE, RP_MATCHES_RCVD,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:51278)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1U0b7i-0002oe-W8
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 12:06:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39408)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1U0b7i-0001NN-1L
	for bug-gnu-emacs@HIDDEN; Wed, 30 Jan 2013 12:06:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1U0b7g-0002o8-IE
	for bug-gnu-emacs@HIDDEN; Wed, 30 Jan 2013 12:06:57 -0500
Received: from mout.web.de ([212.227.17.12]:62640)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1U0b7g-0002nl-9c
	for bug-gnu-emacs@HIDDEN; Wed, 30 Jan 2013 12:06:56 -0500
Received: from drachen.dragon ([89.204.130.46]) by smtp.web.de (mrweb001) with
	ESMTPA (Nemesis) id 0M89jd-1UvZQi3Yp7-00vXeE;
	Wed, 30 Jan 2013 18:06:54 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#13581: 24.3.50;
	regression: defadvice does not work, to augment doc string
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
	<4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
Date: Wed, 30 Jan 2013 18:08:22 +0100
In-Reply-To: <4B8813FD95D94212A45710F3A4C370F9@HIDDEN> (Drew Adams's
	message of "Wed, 30 Jan 2013 08:18:26 -0800")
Message-ID: <87pq0m1tvd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:0PxHsVoiS1FDCXkECQuMYFp8gXLwtySYpM84E1BQeCL
	UWLdM4hys/lGiEKHJP7KiYdHSNy/y2+w4qwsSbJrlsZKCMHiu+
	lm2YZa640qWJnBTLIwbyhoBHPWLc+wOZG2nNl3AdfipZc5kMsL
	ZGnzfs//J55qtrN5xGPwDQ2dOmDvPy8m+r/1JVjzdWXXA3Q9mG
	GE1MKfxIzIWDDghuZdloNrldtG8iNSm1/T+sbNuePc=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

"Drew Adams" <drew.adams@HIDDEN> writes:

> I cannot download a pretest binary and try this in that now.  Could
> someone else
> please try it?  If this is a regression also in the pretest (not just
> in the
> trunk), then I think it should be fixed before the release.  Thx.

Works for me in a built of the emacs-24 branch from today:

,----------------------------------------------------------------------
| [...]
| If this function is called non-interactively, it does not return to
| the calling function until the search is done.
| 
| This function is advised.
| 
| Before-advice `froggy':
| C-o - hear Froggy croak
`----------------------------------------------------------------------


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 16:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 11:43:11 2013
Received: from localhost ([127.0.0.1]:55947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0akg-00016r-Ky
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 11:43:11 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:26573)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1U0ake-00016j-Jm
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 11:43:09 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
	by aserp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with
	ESMTP id r0UGgT61005949
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 30 Jan 2013 16:42:30 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0UGgTAj028936
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 30 Jan 2013 16:42:29 GMT
Received: from abhmt106.oracle.com (abhmt106.oracle.com [141.146.116.58])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0UGgSZW000925; Wed, 30 Jan 2013 10:42:28 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 30 Jan 2013 08:42:28 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Dani Moncayo'" <dmoncayo@HIDDEN>
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN><4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
	<CAH8Pv0gW=QYAgqa9JDL0Kzipg-2585mXzCn_VoRM4xzga3Q3=g@HIDDEN>
Subject: RE: bug#13581: 24.3.50;
	regression: defadvice does not work, to augment doc string
Date: Wed, 30 Jan 2013 08:42:27 -0800
Message-ID: <17B56DCFC3BE427D9384001EC7B09CB6@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <CAH8Pv0gW=QYAgqa9JDL0Kzipg-2585mXzCn_VoRM4xzga3Q3=g@HIDDEN>
Thread-Index: Ac3/CELZZjM1h8ceRoixkKJZmPLMUwAAC97w
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 13581
Cc: 13581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

> > I cannot download a pretest binary and try this in that now.
> 
> You can get pretest binaries for MS-Windows from here:
>   https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8
> 
> The pretest versions are the ones starting with "emacs-24", so
> currently the last one is "emacs-24-r111199-20130125-w32-i386.zip"  (5
> days old).

Yes, I know.  But thanks, Dani.

As I said, I cannot download now.  I have no access (at my end, not an Emacs Dev
problem).

I'm just asking that someone quickly check whether this regression is a problem
also for the pretest.  If so, I think this needs to be fixed before release.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 16:39:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 11:39:18 2013
Received: from localhost ([127.0.0.1]:55943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0agw-00011D-5q
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 11:39:18 -0500
Received: from mail-la0-f46.google.com ([209.85.215.46]:51921)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1U0agu-000116-AG
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 11:39:17 -0500
Received: by mail-la0-f46.google.com with SMTP id fq12so1244858lab.5
	for <13581 <at> debbugs.gnu.org>; Wed, 30 Jan 2013 08:38:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=GisMkDy+s/CQf91JjsbbV4LO9aieyHVVsK6bjz6tLBM=;
	b=mMYErN47ap2x9uEwnDTOrpjhl15EssDXXQZqLMCPZqIpW1poCocQoUqDzC1LxQiD6o
	m84i8ZdszVpg/YmV/3JWa9LvtkuVHlpSXR7kRXREY4J7DExElTM7BzQLsfzmO2/5N/B5
	PZ1P1+srfrVIocwCusiooYgkkc1F9noSb3QV0+1SHlEPhGCeIBFEI1Tjg69FydYdoKzh
	/+Ajq7diYoYUcBce7BtXpj2oSsSB9SS6hUjkqcGXRcWBv2n/AR/JIKGvD/SQtRJDfSrP
	XO5UgedRNJZqob3YP/Qr4KSkPh73RFlvzHTOkVPNvj8+ENoIRTR7aKdBpJrrhnXCXM++
	u+bA==
MIME-Version: 1.0
X-Received: by 10.152.147.130 with SMTP id tk2mr5172971lab.24.1359563917906;
	Wed, 30 Jan 2013 08:38:37 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Wed, 30 Jan 2013 08:38:37 -0800 (PST)
In-Reply-To: <4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
	<4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
Date: Wed, 30 Jan 2013 17:38:37 +0100
Message-ID: <CAH8Pv0gW=QYAgqa9JDL0Kzipg-2585mXzCn_VoRM4xzga3Q3=g@HIDDEN>
Subject: Re: bug#13581: 24.3.50; regression: defadvice does not work, to
	augment doc string
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13581
Cc: 13581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

> I cannot download a pretest binary and try this in that now.

You can get pretest binaries for MS-Windows from here:
  https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8

The pretest versions are the ones starting with "emacs-24", so
currently the last one is "emacs-24-r111199-20130125-w32-i386.zip"  (5
days old).


-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at 13581 <at> debbugs.gnu.org:


Received: (at 13581) by debbugs.gnu.org; 30 Jan 2013 16:19:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 11:19:10 2013
Received: from localhost ([127.0.0.1]:55933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0aNR-0000Ya-6t
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 11:19:10 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:26979)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1U0aNP-0000YT-0s
	for 13581 <at> debbugs.gnu.org; Wed, 30 Jan 2013 11:19:08 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0UGISRm029662
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <13581 <at> debbugs.gnu.org>; Wed, 30 Jan 2013 16:18:29 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0UGIRZ8015892
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <13581 <at> debbugs.gnu.org>; Wed, 30 Jan 2013 16:18:27 GMT
Received: from abhmt104.oracle.com (abhmt104.oracle.com [141.146.116.56])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0UGIRgg010331
	for <13581 <at> debbugs.gnu.org>; Wed, 30 Jan 2013 10:18:27 -0600
Received: from dradamslap1 (/130.35.178.8)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 30 Jan 2013 08:18:27 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: <13581 <at> debbugs.gnu.org>
References: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
Subject: RE: bug#13581: 24.3.50;
	regression: defadvice does not work, to augment doc string
Date: Wed, 30 Jan 2013 08:18:26 -0800
Message-ID: <4B8813FD95D94212A45710F3A4C370F9@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
Thread-Index: Ac39qVSZNE7EZ7jEQ0OlR7FQ2eH4bwBW9p5Q
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 13581
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

I cannot download a pretest binary and try this in that now.  Could someone else
please try it?  If this is a regression also in the pretest (not just in the
trunk), then I think it should be fixed before the release.  Thx.

> emacs -Q
>  
> (defun frog () (interactive) (message "croak"))
> (define-key isearch-mode-map "\C-o" 'frog)
> (defadvice isearch-forward (before froggy activate)
>   "\\<isearch-mode-map>\\[frog] - hear Froggy croak")
>  
> C-h f isearch-forward
>  
> No Froggy to be seen.  Worked in previous Emacs versions, 
> including 24.2.
> 
>  
> In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
>  of 2013-01-25 on ODIEONE





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2013 22:48:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 17:48:23 2013
Received: from localhost ([127.0.0.1]:53065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TzxV0-0007AB-Te
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2013 17:48:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34558)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TzxUy-0007A4-9g
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2013 17:48:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TzxUV-0003SB-Kv
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2013 17:47:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-104.7 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD, UNPARSEABLE_RELAY,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56678)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TzxUV-0003S7-HF
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2013 17:47:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45899)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TzxUT-000581-N7
	for bug-gnu-emacs@HIDDEN; Mon, 28 Jan 2013 17:47:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TzxUS-0003R8-FZ
	for bug-gnu-emacs@HIDDEN; Mon, 28 Jan 2013 17:47:49 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:19364)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1TzxUS-0003Qq-8O
	for bug-gnu-emacs@HIDDEN; Mon, 28 Jan 2013 17:47:48 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0SMlkmW031656
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Mon, 28 Jan 2013 22:47:46 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0SMljBh014604
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Mon, 28 Jan 2013 22:47:46 GMT
Received: from abhmt116.oracle.com (abhmt116.oracle.com [141.146.116.68])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0SMlj0P027854
	for <bug-gnu-emacs@HIDDEN>; Mon, 28 Jan 2013 16:47:45 -0600
Received: from dradamslap1 (/130.35.178.8) by default (Oracle Beehive Gateway
	v4.0) with ESMTP ; Mon, 28 Jan 2013 14:46:38 -0800
THREAD-INDEX: Ac39qVSZNE7EZ7jEQ0OlR7FQ2eH4bw==
X-MIMEOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
MIME-Version: 1.0
Message-ID: <3556A9447BED4194A6063A2789C369E4@HIDDEN>
Date: Mon, 28 Jan 2013 14:46:37 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; regression: defadvice does not work, to augment doc string
X-Mailer: Microsoft Office Outlook 11
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

emacs -Q
 
(defun frog () (interactive) (message "croak"))
(define-key isearch-mode-map "\C-o" 'frog)
(defadvice isearch-forward (before froggy activate)
  "\\<isearch-mode-map>\\[frog] - hear Froggy croak")
 
C-h f isearch-forward
 
No Froggy to be seen.  Worked in previous Emacs versions, including 24.2.

 
In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-01-25 on ODIEONE
Bzr revision: 111604 eliz@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'
 





Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13581; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Apr 2016 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.